flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Till Rohrmann <till.rohrm...@gmail.com>
Subject Re: Flink packaging makes life hard for SBT fat jar's
Date Wed, 02 Mar 2016 17:57:02 GMT
Hi Shikhar,

that is a problem we just found out today. The problem is that the
scala.binary.version was not properly replaced in the parent pom so that it
resolves to 2.10 [1]. Max already opened a PR to fix this problem. With the
next release candidate, this should be fixed.

[1] https://issues.apache.org/jira/browse/FLINK-3565

Cheers,
Till
‚Äč

On Wed, Mar 2, 2016 at 6:24 PM, shikhar <shikhar@schmizz.net> wrote:

> Hi Till,
>
> I just tried creating an assembly with RC4:
>
> ```
>   "org.apache.flink" %% "flink-clients" % flinkVersion % "provided",
>   "org.apache.flink" %% "flink-streaming-scala" % flinkVersion %
> "provided",
>   "org.apache.flink" %% "flink-connector-kafka-0.8" % flinkVersion,
> ```
>
> It actually succeeds in creating the assembly now, which is great. However,
> I see that it is pulling in the Scala 2.10 version of the Kafka JAR's.
> Perhaps the correct Scala version is not specified in the published POM's
> for transitive dependencies?
>
>
> https://repository.apache.org/content/repositories/orgapacheflink-1066/org/apache/flink/flink-connector-kafka-0.8_2.11/1.0.0/flink-connector-kafka-0.8_2.11-1.0.0.pom
> refers to ${scala.binary.version} -- not sure how that is resolved
>
>
>
> --
> View this message in context:
> http://apache-flink-user-mailing-list-archive.2336050.n4.nabble.com/Flink-packaging-makes-life-hard-for-SBT-fat-jar-s-tp4897p5249.html
> Sent from the Apache Flink User Mailing List archive. mailing list archive
> at Nabble.com.
>

Mime
View raw message